Summary:       THELI is a tool for the automated reduction of astronomical images
Name:          theli
Version:       1.7.6
Release:       %mkrel 3
License:       GPLv2+
Group:         Sciences/Astronomy

URL:           http://www.astro.uni-bonn.de/theli/
Source0:       http://www.astro.uni-bonn.de/theli/gui/download/theli-%{version}.tgz

Requires: python-pyfits
Requires: python-matplotlib
Requires: python-numpy

%description
This version is suitable for survey work, i.e. you have a very large
number of different pointings taken with the same optical
instrument. Contrary to the GUI, it can be run in batch mode, and also
on a Linux cluster. The scripts are mainly optimised for blank fields,
and they need to be configured manually to suit the data for your
instrument.

%prep
%setup -q

%build
cd pipesetup 
./install.sh -m 'ALL'

%install
mkdir -p %{buildroot}%{_bindir}
mv bin/Linux*/* %{buildroot}%{_bindir}
pushd %{buildroot}%{_bindir}
mv airmass airmass.theli
rm -f ldactoasc
rm -f readlink
popd

mkdir -p %{buildroot}%{_datadir}/theli/scripts
mv scripts/Linux*/* %{buildroot}%{_datadir}/theli/scripts

%files
%{_datadir}/theli/scripts
%{_bindir}/*



%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.7.6-3.mga4
+ Revision: 539065
- Mageia 4 Mass Rebuild

* Fri Oct 04 2013 joequant <joequant> 1.7.6-2.mga4
+ Revision: 491294
- remove dot on summary

* Fri Oct 04 2013 joequant <joequant> 1.7.6-1.mga4
+ Revision: 491289
- remove dot from summary
- imported package theli

